Waiting for engine...
Skip to main content

Boomi API Control Plane REST API - Self-ServiceRegistration

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Self-Service Registration

Self-service tenant and user registration.

Create user and organization

Create a new organization. Create a new user in that organization and send them an invitation mail.

Authorizations:
bearerAuth
Request Body schema: application/json
required
email
required
string

Email address for the new account.

displayName
string

Display name for the new user. Either this or both firstName and lastName must be provided.

firstName
string

First name of the new user.

lastName
string

Last name of the new user.

Responses

Request samples

Content type
application/json
{
  • "email": "string",
  • "displayName": "string",
  • "firstName": "string",
  • "lastName": "string"
}

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}